Imole Standard TTS

Proprietary Imole standard TTS service exposed through the Imole API for styled narration, generated voices, and reference-based voice cloning.

Audio

Standard TTS technical docs

Endpoint, auth header, parameters, prices, and tested request examples for Imole Standard TTS.

Endpoint

Endpoint and pricing

POST /audio/speech Endpoint https://api.imole.app/v1 Base URL 20 API cauris 20 Agent cauris
Headers

Request headers

Authorization required

Bearer Imole API key.

Content-Type required

Use application/json for JSON requests.

Parameters

Request parameters

model required

Use imole-standard-tts.

text required

Text to synthesize.

language

Language hint such as French or English.

instruct

Voice design prompt.

speed

Speech speed multiplier.

duration

Optional target duration.

num_step

Generation steps.

guidance_scale

Prompt guidance strength.

ref_audio

Multipart reference file for /voice-clone.

ref_audio_url

Reference audio URL for clone requests.

ref_audio_base64

Reference audio base64 for clone requests.

ref_text

Transcript of the reference speech.

Examples

Tested request examples

Basic narration
curl -X POST "https://api.imole.app/v1/audio/speech" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "imole-standard-tts",
  "text": "Bienvenue sur Imole.",
  "language": "French",
  "speed": 1,
  "num_step": 32
}'
Voice clone with URL
curl -X POST "https://api.imole.app/v1/audio/speech" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "imole-standard-tts",
  "text": "Je parle avec la voix de reference.",
  "ref_audio_url": "https://imole.app/docs-samples/reference.mp3",
  "ref_text": "Bonjour. Ceci est un sample audio Imole pour la documentation technique.",
  "language": "French"
}'
Voice clone with file upload
curl -X POST "https://api.imole.app/v1/audio/speech" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -F "model=imole-standard-tts" \
  -F "text=Je parle avec la voix du fichier de reference." \
  -F "ref_audio=@reference.mp3" \
  -F "ref_text=Bonjour. Ceci est un sample audio Imole pour la documentation technique." \
  -F "language=French" \
Check job status
curl -H "Authorization: Bearer $IMOLE_API_KEY" "https://api.imole.app/v1/audio/jobs/$JOB_ID"
Download result
curl -L -H "Authorization: Bearer $IMOLE_API_KEY" "https://api.imole.app/v1/audio/jobs/$JOB_ID/content" -o imole-standard-tts.mp3